﻿@using SportsClub.Areas.Dashboard.Models
@model PaymentSettingsViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Payment Methods
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>
    <p>Jumbula handles a variety of payment methods such as credit cards, cash, check and bank deposits.<span style="font-weight:bold"> You must enable at least one payment method before you can publish a season and take online registrations.</span></p>
    <br />

    <fieldset>
        @*<div class="input-control radio">*@
        <legend><i class="jbi-cash-1 checkout-icons"></i> Currency</legend>
        <div>
            <span class="message">You can receive money in currencies other than U.S. Dollar (USD). </span>
        </div>
        <div style="color: red; margin-bottom: 10px;">
            Note: the currency change option is only applicable to Stripe and PayPal, it does not work with Authorize.Net
        </div>

        <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.Currency)>
            <div @Html.AngTooltipValidationFor(model => model.Currency)>
                <select ng-options="obj.Value as obj.Text for obj in Model.Currencies"
                        ng-model="@Html.Ang(m => m.Currency)"></select>
            </div>
        </div>

        <div>
            <button ngaction="Settings_PaymentSettings_Save" type="submit" class="success  place-right large save-btn" style="padding-left:20px" ng-click="save('@PaymentSettingsSection.Currency')">Save</button>
        </div>
    </fieldset>

    <form novalidate>
        <fieldset>
            @*<div class="input-control radio">*@
            <legend><i class="icon-credit-card"></i> Credit card payments - processed by Stripe</legend>

            <div>
                <span class="message">Stripe (www.stripe.com) is a leading provider of processing credit card payments and transferring the proceeds directly to your bank account. Stripe has a seven-day waiting period for initial transactions to validate your business information.</span>
            </div>
            <div>
                <p>Processing rate: <span style="color:cornflowerblue">2.9% + 30¢</span></p>
                <span style="color:cornflowerblue;padding-left: 110px;">2.2% + 30¢ (AMEX 3.5% + 30¢) for Jumbula nonprofit clients</span>
            </div>
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.EnableStripePayment)" type="checkbox">
                    <span class="check"></span>
                    Enable Stripe payments
                </label>
            </div>
            <div ng-show="@Html.Ang(model => model.EnableStripePayment)" class="dash-enable">

                <div id="stripe-btn">
                    <button id="stripeDisc" style="width:205px; height:33px; " class="btn stripeConnect" ng-disabled="(Model.StripeCustomerId!=null && Model.StripeCustomerId!='')" ng-click="stripeConnect()">Connect with Stripe</button>

                </div>

                <div id="stripmsg" ng-show="(Model.StripeCustomerId!=null && Model.StripeCustomerId!='')"><span>You already have connected to stripe.</span></div>
                <p></p>
                <div class="input-control checkbox margin-enb" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.EnableCreditCard)" type="checkbox">
                        <span class="check"></span>
                        Enable credit card payments
                    </label>
                </div>
                <div ng-show="@Html.Ang(model => model.EnableCreditCard)">

                    <div class="parent-i">
                        <label>
                            Checkout label
                            <span class="info-icon" title="Your clients see this label in the cart and click on it to check out their orders."> i </span>
                        </label>
                        <div class="child-i none tt">
                            Your clients see this label in the cart and click on it to check out their orders.
                        </div>
                    </div>

                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.StripePaymentLabel)>
                        <input ng-model="@Html.Ang(m => m.StripePaymentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.StripePaymentLabel) />
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.EnableAchPayment)" type="checkbox">
                        <span class="check"></span>
                        Enable eCheck payments
                    </label>

                </div>
                <div ng-show="@Html.Ang(model => model.EnableAchPayment)">
                    <span>You will receive the money in about 3-5 business days. We'll email you when the eCheck payments has been deposited into your account.</span>

                    <div class="parent-i">
                        <label>Checkout label <span class="info-icon" title="Your clients see this label in the cart and click on it to check out their orders."> i </span></label>
                        <div class="child-i none tt">
                            Your clients see this label in the cart and click on it to check out their orders.
                        </div>
                    </div>

                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.AchPaymentLabel)>
                        <input ng-model="@Html.Ang(m => m.AchPaymentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.AchPaymentLabel) />
                    </div>
                    <div class="parent-i">
                        <label>
                            Message <span class="info-icon" title="Displayed on the checkout page"> i </span>
                        </label>
                        <div class="child-i none tt">
                            Displayed on the checkout page
                        </div>
                    </div>

                    <div class="input-control text" data-role="input-control">
                        <input ng-model="@Html.Ang(m => m.AchPaymentMessage)" type="text" />
                    </div>


                    <div class="parent-i">
                        <label>
                            Instructions
                            <span class="info-icon" title="Displayed on the confirmation page after your clients have placed their orders.">i</span>
                        </label>
                        <div class="child-i none tt">
                            Displayed on the confirmation page after your clients have placed their orders.
                        </div>
                    </div>

                    <div class="input-control textarea" data-role="input-control">
                        <textarea ng-model="@Html.Ang(m => m.AchPaymentInstruction)"></textarea>
                    </div>

                </div>
            </div>
            <div>
                <button ngaction="Settings_PaymentSettings_Save" type="submit" class="success  place-right large save-btn" style="padding-left:20px" ng-click="save('@PaymentSettingsSection.Stripe')">Save</button>
            </div>
        </fieldset>
        <fieldset>
            <legend><i class="icon-credit-card"></i> Credit card payments - processed by Authorize.Net</legend>

            <div>
                <span class="message"> This payment method is only for existing Authorize.Net clients. If you do not already have an account with Authorize.Net, please choose another payment method.</span>
            </div>

            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.EnableAuthorizePayment)" type="checkbox">
                    <span class="check"></span>
                    Enable Authorize.Net payments
                </label>
            </div>

            <div ng-show="@Html.Ang(model => model.EnableAuthorizePayment)">
                <div @*ng-show="@Html.Ang(model => model.EnableCreditCard)"*@>
                    <div class="parent-i">
                        <label>
                            Checkout label <span class="info-icon" title="Your clients see this label in the cart and click on it to check out their orders."> i </span>
                        </label>
                        <div class="child-i none tt">
                            Your clients see this label in the cart and click on it to check out their orders.
                        </div>
                    </div>

                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.StripePaymentLabel)>
                        <input ng-model="@Html.Ang(m => m.StripePaymentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.StripePaymentLabel) />
                    </div>
                </div>
                <div class="parent-i">
                    <label>
                        Login ID

                    </label>
                </div>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LoginId)>
                    <input ng-model="@Html.Ang(m => m.LoginId)" type="password" @Html.AngTooltipValidationFor(model => model.LoginId) />
                </div>
                <div class="parent-i">
                    <label>
                        Transaction key
                    </label>
                </div>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.TransactionKey)>
                    <input ng-model="@Html.Ang(m => m.TransactionKey)" type="password" @Html.AngTooltipValidationFor(model => model.TransactionKey) />
                </div>


            </div>


            <div>
                <button ngaction="Settings_PaymentSettings_Save" type="submit" class="success  place-right large save-btn" style="padding-left:20px" ng-click="save('@PaymentSettingsSection.AuthorizeNet')">Save</button>
            </div>
        </fieldset>

        <fieldset>
            <legend><i class="icon-paypal"></i> PayPal and credit card payments - processed by PayPal</legend>
            <div>
                <span class="message">PayPal (www.paypal.com) is a leader in processing online transactions. Your clients will be able to pay with their PayPal accounts and their credit cards using the PayPal guest checkout option.</span>
            </div>
            <div style="color: red; margin-bottom: 10px;">
                Note: You cannot use the Autocharge system, which allows you to automatically charge users' credit cards for recurring payments, with PayPal.
            </div>
            <div>
                <p>Processing rate: <span style="color:cornflowerblue">2.9% + 30¢</span></p>
                <span style="color:cornflowerblue;padding-left:110px;">2.2% + 30¢ for Jumbula nonprofit clients</span>
            </div>
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.EnablePaypalPayment)" type="checkbox">
                    <span class="check"></span>
                    Enable PayPal payments
                </label>
            </div>
            <div ng-show="@Html.Ang(model => model.EnablePaypalPayment)" class="dash-enable">

                <div class="parent-i">
                    <label>Checkout label <span class="info-icon" title="Your clients see this label in the cart and click on it to check out their orders."> i </span></label>
                    <div class="child-i none tt">
                        Your clients see this label in the cart and click on it to check out their orders.
                    </div>
                </div>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PaypalPaymentLabel)>
                    <input ng-model="@Html.Ang(m => m.PaypalPaymentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.PaypalPaymentLabel) />
                </div>
                <label class="req-star">PayPal merchant account email</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PaypalEmail)>
                    <input ng-model="@Html.Ang(m => m.PaypalEmail)" type="text" @Html.AngTooltipValidationFor(model => model.PaypalEmail) />
                </div>


            </div>
            <button ngaction="Settings_PaymentSettings_Save" type="submit" class="success large place-right save-btn" ng-click="save('@PaymentSettingsSection.Paypal')">Save</button>
        </fieldset>
        <fieldset>
            <legend><i class="icon-dollar-2" style="color:cornflowerblue"></i> Cash or check - manual payment</legend>
            <div>
                <span class="message">Your clients will pay with cash or check after they have completed their online registrations.</span>
            </div>
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.EnablePayByCash)" type="checkbox">
                    <span class="check"></span>
                    Enable cash or check payments
                </label>
            </div>
            <div ng-show="@Html.Ang(model => model.EnablePayByCash)" class="dash-enable">

                <div class="parent-i">
                    <label>Checkout label <span class="info-icon" title="Your clients see this label in the cart and click on it to check out their orders."> i </span></label>
                    <div class="child-i none tt">
                        Your clients see this label in the cart and click on it to check out their orders.
                    </div>
                </div>

                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.CashPaymentLabel)>
                    <input ng-model="@Html.Ang(m => m.CashPaymentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.CashPaymentLabel) />
                </div>

                <div class="parent-i">
                    <label>
                        Message
                        <span class="info-icon" title="Displayed on the checkout page"> i </span>
                    </label>
                    <div class="child-i tt none">
                        Displayed on the checkout page
                    </div>
                </div>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.PayByCashMessage)" type="text" />
                </div>

                <div class="parent-i">
                    <label>
                        Instructions
                        <span class="info-icon" title="Displayed on the confirmation page after your clients have placed their orders.">i</span>
                    </label>
                    <div class="child-i none tt">
                        Displayed on the confirmation page after your clients have placed their orders.
                    </div>
                </div>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.PayByCashInstruction)"></textarea>
                </div>
            </div>



            <button ngaction="Settings_PaymentSettings_Save" type="submit" class="success large place-right save-btn" ng-click="save('@PaymentSettingsSection.Cash')">Save</button>
        </fieldset>
        <fieldset>
            <legend><i class="icon-dollar" style="color:cornflowerblue"></i> Bank deposit - manual payment</legend>
            <div>
                <span class="message">Your clients will deposit money to your bank account after they have completed their online registrations.</span>
            </div>
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.EnableBankTransfer)" type="checkbox">
                    <span class="check"></span>
                    Enable bank deposit
                </label>
            </div>
            <div ng-show="@Html.Ang(model => model.EnableBankTransfer)" class="dash-enable">

                <div class="parent-i">
                    <label>
                        Checkout label <span class="info-icon" title="Your clients see this label in the cart and click on it to check out their orders."> i </span>
                    </label>     <div class="child-i none tt">
                        Your clients see this label in the cart and click on it to check out their orders.
                    </div>
                </div>

                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.BankTransferPaymentLabel)>
                    <input ng-model="@Html.Ang(m => m.BankTransferPaymentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.BankTransferPaymentLabel) />
                </div>


                <div class="parent-i">
                    <label>
                        Message <span class="info-icon" title="Displayed on the checkout page"> i </span>
                    </label>
                    <div class="child-i none  tt">
                        Displayed on the checkout page
                    </div>
                </div>


                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.BankTransferMessage)" type="text" />
                </div>


                <div class="parent-i">
                    <label>
                        Instructions
                        <span class="info-icon" title="Displayed on the confirmation page after your clients have placed their orders.">i</span>
                    </label>
                    <div class="child-i none tt">
                        Displayed on the confirmation page after your clients have placed their orders.
                    </div>
                </div>


                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.BankTransferInstruction)"></textarea>
                </div>


            </div>
            <button ngaction="Settings_PaymentSettings_Save" type="submit" class="success large place-right save-btn" ng-click="save('@PaymentSettingsSection.BankTransfer')">Save</button>
        </fieldset>
        <fieldset>
            <legend><i class="icon-coins" style="color:cornflowerblue"></i> Custom payment - manual payment</legend>
            <div>
                <span class="message">Define your own manual payment method for your clients to handle scholarships, grants, etc. Contact us if you do not see your payment method in the listbox.</span>
            </div>
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.EnableManualPayment)" type="checkbox">
                    <span class="check"></span>
                    Enable custom payments
                </label>
            </div>
            <div ng-show="@Html.Ang(model => model.EnableManualPayment)" class="dash-enable">

                <div class="parent-i">
                    <label>Checkout label <span class="info-icon" title="Your clients see this label in the cart and click on it to check out their orders."> i </span></label>
                    <div class="child-i none tt">
                        Your clients see this label in the cart and click on it to check out their orders.
                    </div>
                </div>

                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ManualPaymentLabel)>
                    <input ng-model="@Html.Ang(m => m.ManualPaymentLabel)" type="text" @Html.AngTooltipValidationFor(model => model.ManualPaymentLabel) />
                </div>

                <div class="parent-i">
                    <label class="req-star">
                        Method <span class="info-icon" title="We will inform you of the specific method that clients used to check out their carts. You can use the method name to run reports and process the orders.">i</span>
                    </label>
                    <div class="child-i none  tt">
                        We will inform you of the specific method that clients used to check out their carts. You can use the method name to run reports and process the orders.
                    </div>
                </div>

                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedPaymentMethod)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedPaymentMethod)>
                        <select ng-options="obj.Value as obj.Text for obj in Model.PaymentMethods"
                                ng-model="@Html.Ang(m => m.SelectedPaymentMethod)"></select>
                    </div>
                </div>

                <div class="parent-i">
                    <label>Message <span class="info-icon" title="Displayed on the checkout page"> i </span></label>
                    <div class="child-i none tt">
                        Displayed on the checkout page
                    </div>
                </div>

                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.ManualPaymentMessage)" type="text" />
                </div>

                <div class="parent-i">
                    <label>
                        Instructions
                        <span class="info-icon" title="Displayed on the confirmation page after your clients have placed their orders."> i </span>
                    </label>
                    <div class="child-i tt none">
                        Displayed on the confirmation page after your clients have placed their orders.
                    </div>
                </div>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.ManualPaymentInstruction)"></textarea>
                </div>


            </div>
            <button ngaction="Settings_PaymentSettings_Save" type="submit" class="success large place-right save-btn" ng-click="save('@PaymentSettingsSection.Manual')">Save</button>
        </fieldset>
        <div class="clearfix"></div>
        <hr />
    </form>
    <a class="place-left button link large" ui-sref='Settings'>Cancel</a>
    <div class="clearfix"></div>
</div>